Offset ITC-03 Tax Liability
PUT
https://apisandbox.whitebooks.in/itc03/retoffsetAPI call for offsetting the liabilities from ITC03
Parameters
query parameters
emailstringrequiredUser Email
typestringrequiredType (SETOFF4A / SETOFF4B)
header parameters
gstinstringrequiredGST Number
ret_periodstringrequiredReturn Period (MMYYYY)
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Request Body
application/jsonrequired
gstinstringoptionalGSTIN number
Example: "12AVVVH1234HA1X"
ret_typestringoptionalReturn Type
Example: "ITC03-4A"
pd_by_cashobjectoptionaltran_cdintegeroptionalTran code
Example: 30002
sgstobjectoptionalintrnumberoptionalInterest Amount
Example: 0
othnumberoptionalother Amount
Example: 0
txnumberoptionalTax Amount
Example: 0
feenumberoptionalFee Amount
Example: 0
totnumberoptionalTotal Amount
Example: 0
pennumberoptionalPenalty Amount
Example: 0
cgstobjectoptionalintrnumberoptionalInterest Amount
Example: 0
othnumberoptionalother Amount
Example: 0
txnumberoptionalTax Amount
Example: 0
feenumberoptionalFee Amount
Example: 0
totnumberoptionalTotal Amount
Example: 0
pennumberoptionalPenalty Amount
Example: 0
cessobjectoptionalintrnumberoptionalInterest Amount
Example: 0
othnumberoptionalother Amount
Example: 0
txnumberoptionalTax Amount
Example: 0
feenumberoptionalFee Amount
Example: 0
totnumberoptionalTotal Amount
Example: 0
pennumberoptionalPenalty Amount
Example: 0
igstobjectoptionalintrnumberoptionalInterest Amount
Example: 0
othnumberoptionalother Amount
Example: 0
txnumberoptionalTax Amount
Example: 0
feenumberoptionalFee Amount
Example: 0
totnumberoptionalTotal Amount
Example: 0
pennumberoptionalPenalty Amount
Example: 0
pd_by_itcobjectoptionaltran_cdintegeroptionalTran code
Example: 30002
igst_igst_amtnumberoptionalIGST as IGST
Example: 0
igst_cgst_amtnumberoptionalIGST as CGST
Example: 0
igst_sgst_amtnumberoptionalIGST as SGST
Example: 0
sgst_sgst_amtnumberoptionalSGST as SGST
Example: 0
sgst_igst_amtnumberoptionalSGST as IGST
Example: 0
cgst_cgst_amtnumberoptionalCGST as CGST
Example: 0
cgst_igst_amtnumberoptionalCGST as IGST
Example: 0
cess_cess_amtnumberoptionalCESS as CESS
Example: 0
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP PUT to
/itc03/retoffset. Required parameters: email (query parameter), type (query parameter), gstin (header parameter), ret_period (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is accepted per the schema specifications shown in the request documentation.For Offset Liability ITC03 data (PUT
/itc03/retoffset), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).API call for offsetting the liabilities from ITC03
No example available.